---

inputType: "CA10G1__CaGoogleApiKey__c"
testData:
  - file: test-data.json
importExtracts:
  - file: /types/CA10G1__CaGoogleApiKey__c/object.extracts.yaml
conditions:
  - status: "INCOMPLIANT"
    currentStateMessage: "API Key is older than 90 days."
    remediationMessage: "It's recommended to rotate API Key every 90 days."
    check:
      IS_BEYOND_LAST_DAYS:
        offsetDays: 90
        arg:
          EXTRACT: CA10G1__createTime__c     
otherwise:
  status: "COMPLIANT"
  currentStateMessage: "API Key is regularly rotated."

